package com.template.model.seewo;

import java.util.*;
import com.seewo.open.sdk.OpenApiParam;
import com.seewo.open.sdk.OpenApiRequest;

/**
 * seewo-open API: 批量添加班级学生
 *
 *
 * @author auto create
 * @since 2.0.1 2023-12-19
 */
public class StudentServiceBatchSaveClassStudentsRequest extends OpenApiRequest<StudentServiceBatchSaveClassStudentsParam, StudentServiceBatchSaveClassStudentsResult> {

    public StudentServiceBatchSaveClassStudentsRequest(StudentServiceBatchSaveClassStudentsParam param) {
        this();
        setBizModel(param);
    }

    public StudentServiceBatchSaveClassStudentsRequest() {
        setServerUrl("https://openapi.seewo.com");
        setPath("/seewo-yunban-api/student-service/batch-save-class-students");
        setHttpMethod("POST");
    }

    public Class<StudentServiceBatchSaveClassStudentsResult> getResponseClass() {
        return StudentServiceBatchSaveClassStudentsResult.class;
    }

    public Class<StudentServiceBatchSaveClassStudentsParam> getDomainClass() {
        return StudentServiceBatchSaveClassStudentsParam.class;
    }
}

